using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Configuration;

namespace OBSBoardsApi.Controllers
{
    [Authorize]
    [ApiController]
    [Route("/api/[controller]/[action]")]
    public class BoardsController : ControllerBase
    {
        [HttpGet]
        public IActionResult GetTree()
        {
            var userId = User.Claims.Where(c => c.Type == "Id").FirstOrDefault().Value;
            return Ok(userId);
        }

    }
}
